Go to the latest version of this document.

# ``twisted`.`words`.`im`.`basechat`.`Conversation``

class documentation

`class Conversation: (source)`

Constructor: `Conversation(person, chatui)`

View In Hierarchy

A GUI window of a conversation with a specific person.

Method | `__init__` | No summary
Method | `contactChangedNick` | Change a person's name.
Method | `hide` | Hide the ConversationWindow.
Method | `sendText` | Send text to the person with whom the user is conversing.
Method | `show` | Display the ConversationWindow.
Method | `showMessage` | Display a message sent from the person with whom the user is conversing.
Instance Variable | `chatui` | The GUI chat client associated with this conversation.
Instance Variable | `person` | The person who you're having this conversation with.

def __init__(self, person, chatui): (source)

Parameters
person:`IPerson` provider | The person who you're having this conversation with.
chatui:`ChatUI` | The GUI chat client associated with this conversation.

def contactChangedNick(self, person, newnick): (source)

Change a person's name.

Parameters
person:`IPerson` provider | The person whose nickname is changing.
newnick:`str` | The new nickname for this person.

def hide(self): (source)

Hide the ConversationWindow.

def sendText(self, text): (source)

Send text to the person with whom the user is conversing.

Parameters
text:`str` | The text to be sent.

def show(self): (source)

Display the ConversationWindow.

def showMessage(self, text, metadata=None): (source)

Display a message sent from the person with whom the user is conversing.

Parameters
text:`str` | The sent message.
metadata:`dict` | Metadata associated with this message.

chatui: `ChatUI` = (source)

The GUI chat client associated with this conversation.

person: `IPerson` provider = (source)

The person who you're having this conversation with.